#### Previous topic

scipy.interpolate.BPoly.__call__

#### Next topic

scipy.interpolate.BPoly.derivative

# scipy.interpolate.BPoly.extend

`BPoly.``extend`(c, x, right=True)

  Add additional breakpoints and coefficients to the polynomial.

  Parameters:

  c : ndarray, size (k, m, ...)

  > Additional coefficients for polynomials in intervals `self.x[-1] <= x < x_right[0]`, `x_right[0] <= x < x_right[1]`, ..., `x_right[m-2] <= x < x_right[m-1]`

  x : ndarray, size (m,)

  > Additional breakpoints. Must be sorted and either to the right or to the left of the current breakpoints.

  right : bool, optional

  > Whether the new intervals are to the right or to the left of the current intervals.